
(*
  Tool: namealign
  Author: Oliver Bandel

  ======================================================
  Urheber/Copyright => Oliver Bandel
  No warranty provided: use at your own risk .
  You can redistribute this software under GPL 2.0
  (see file "COPYING").
  ======================================================
*)


(** rlz: remove leading zeroes
    This function removes leading zeros, but at least it gives back
    a string of one byte length.
    So, if there are only "0" in the string, the it gives back "0". *)

exception Found of int

let rlz s =
  let len = String.length s in
    let pos_of_non_zero s =
      let pos = ref 0 in
      try
        while true
        do
          if s.[!pos] != '0' then raise (Found !pos);
          incr pos
        done;""
      with   Found position -> String.sub s position (len - position)
           | Invalid_argument _ -> "0" (* index out of bounds, when only "0"'s *)
   in
       pos_of_non_zero s



